<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Aset</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 grid-margin stretch-card">
                    <div class="card">
                        <div class="card-header">
                            <h4>Input Aset Baru</h4>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <form th:action="@{/approval/assetProcurement/assetRecording/save}" method="post" th:object="${assetRecording}">
                                        <div class="form-group">
                                            <label>Nama Barang</label>
                                            <input type="text" class="form-control" readonly required name="namaAset" th:field="*{namaAset}">
                                            <input type="hidden" name="id" th:field="*{id}">
                                        </div>
                                        <div class="form-group">
                                            <label>Posisi Barang</label>
                                            <select name="ruangan" class="form-control" required>
                                                <option value="" selected disabled>-- Select One --</option>
                                                <option th:each="data, row:${roomList}"
                                                        th:text="${data.namaRuangan + ' (Gedung : ' + data.idGedung.namaGedung + ')'}"
                                                        th:value="${data.id}"></option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label>Merek Barak</label>
                                            <input type="text" class="form-control" name="merek">
                                        </div>
                                        <div class="form-group">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <label>Jumlah</label>
                                                    <input type="number" readonly required class="form-control" name="jumlah" th:field="*{jumlah}">
                                                </div>
                                                <div class="col-md-6">
                                                    <label>Harga Pokok</label>
                                                    <input type="text" class="form-control" name="hargaPokok" readonly th:field="*{hargaAset}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label>Kondisi Barang <span style="color: red; font-size: 12px;">(*Wajib diisi)</span></label>
                                            <select class="form-control" required name="kondisiAset">
                                                <option value="" selected disabled>-- Select One --</option>
                                                <option value="BAGUS">BAGUS</option>
                                                <option value="LAYAK">LAYAK</option>
                                                <option value="RUSAK_BISA_DIPERBAIKI">RUSAK BISA DIPERBAIKI</option>
                                                <option value="RUSAK_TIDAK_BISA_DIPERBAIKI">RUSAK TIDAK BISA DIPERBAIKI</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <label>Keterangan</label>
                                            <input type="text" class="form-control" name="keterangan">
                                        </div>
                                        <div class="form-group">
                                            <label>Tahun Pembelian</label>
                                            <input type="text" class="form-control" name="tahunBeli">
                                        </div>
                                        <div class="form-group">
                                            <button class="btn btn-primary">Save</button>
                                            <a th:href="@{/approval/assetProcurement/listApproved}" class="btn btn-danger">Cancel</a>
                                        </div>
                                    </form>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

</div>

</body>

</html>